Create Record

Create a new record in the specified form using the provided form values, location information, and any associated metadata.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API Library Examples

from fulcrum import Fulcrum
fulcrum = Fulcrum('{token}')

obj = {
  "record": {
    "form_id": "my-form-id",
    "latitude": 27.770787,
    "longitude": -82.638039,
    "form_values": {
      "2832": "123-ABC",
      "8373": {
        "choice_values": [
          "standpipe"
        ]
      }
    }
  }
}

record = fulcrum.records.create(obj)
print(record['record']['id'] + ' has been created!')
const { Client } = require('fulcrum-app');
const client = new Client('{token}');

const obj = {
  "form_id": "my-form-id",
  "latitude": 27.770787,
  "longitude": -82.638039,
  "form_values": {
    "2832": "123-ABC",
    "8373": {
      "choice_values": [
        "standpipe"
      ]
    }
  }
};

client.records.create(obj)
  .then((record) => {
    console.log(record.id + ' has been created!');
  })
  .catch((error) => {
    console.log(error.message);
  });
require 'fulcrum'

client = Fulcrum::Client.new('{token}')

record = {
  "form_id"=>"my-form-id",
  "latitude"=>27.770787,
  "longitude"=>-82.638039,
  "form_values"=>{
    "2832"=>"123-ABC",
    "8373"=>{
      "choice_values"=>[
        "standpipe"
      ]
    }
  }
}

response = client.records.create(record)

puts response['id'] + ' has been created!'
Body Params
record
object
required
Headers
boolean
Defaults to false

Skips all app workflows

boolean
Defaults to false

Skips all app webhooks

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json